Subject: Re: [UFC-dev] [FFC-dev] nodemap -> dofmap

From: Anders Logg <[email-masked]>
Date: Mon, 4 Dec 2006 20:31:19 +0100

On Mon, Dec 04, 2006 at 07:51:51PM +0100, Garth N. Wells wrote:
> Anders Logg wrote:
> > On Mon, Dec 04, 2006 at 07:32:34PM +0100, Garth N. Wells wrote:
> >>
> >> Anders Logg wrote:
> >>> On Mon, Dec 04, 2006 at 07:20:22PM +0100, Garth N. Wells wrote:
> >>>> Anders Logg wrote:
> >>>>> On Mon, Dec 04, 2006 at 06:03:41PM +0100, Garth N. Wells wrote:
> >>>>>> Anders Logg wrote:
> >>>>>>> I think of a node as a member of the dual basis for P in the
> >>>>>>> definition of a finite element in Brenner-Scott. A node in FFC is
> >>>>>>> always associated with an entity, like the second node of entity 0 of
> >>>>>>> an entity of dimension 1 (the second node on the first edge).
> >>>>>>>
> >>>>>>> So I would very much like to keep the name "node".
> >>>>>>>
> >>>>>> OK, but this does clash with accepted terminology. In both Brenner & 
> >>>>>> Scott and Ciarlet, nodes are defined as points.
> >>>>> Yes, when I look again, they do use "node" for a point, but also refer
> >>>>> to "nodal variables" as the name of the linear functional you evaluate
> >>>>> to get the "nodal value".
> >>>>>
> >>>> Sure, this is normal FE terminology -  nodal variables for the degrees 
> >>>> of freedom at a node. Also, "nodal value" in general case should be 
> >>>> "nodal values" :).
> >>> ok, but how do you say this when the nodal variable is an integral
> >>> over an edge?
> >>>
> >>>
> >>> Can you still say "at a node"? Or is "node" not used then?
> >>>
> >> I wouldn't use node, I would use "degree of freedom". Are you thinking 
> >> of a Nedelec element?
> >>
> >> Garth
> > 
> > I was thinking BDM.
> > 
> > So your suggestion is to never use "node" and always use "dof"?
> >
> 
> Not quite. I would restrict the meaning of "node" to a position point, 
> and use degree of freedom for a value that can change, typically 
> representing the amplitude of some function.
> 
> I looked quickly in a few  books and they refer to "degrees of freedom" 
> for BDM and Nedelec elements.
> 
> Garth

I asked Ridg to settle this. Here's a quote:

  There is a good reason to differentiate between the point at which
  a nodal variable acts and the nodal variable (the linear functional).
  Using DOF for this concept is probably the best idea, since the
  terminology "nodal variable" still refers to a "node" and does not
  sound quite right for an edge integral.

                                  Ridg

So I give up, let's call it "dof"/"DOF"! :-)

/Anders